# pydicom.filereader.read_dicomdir

pydicom.filereader.read_dicomdir(filename: Union[str, bytes, os.PathLike] = 'DICOMDIR') → pydicom.dicomdir.DicomDir

  Read a DICOMDIR file and return a `DicomDir`.

  This is a wrapper around `dcmread()` which gives a default file name.

  Deprecated since version 2.1: `read_dicomdir()` is deprecated and will be removed in v3.0. Use `dcmread()` instead.

  Parameters

    filename (str, optional) – Full path and name to DICOMDIR file to open

  Returns

  Return type

    DicomDir

  Raises

    InvalidDicomError – Raised if filename is not a DICOMDIR file.